Subject: Re: [PATCH] config.mak.uname: use iconv from Homebrew on macOS

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 Dec 2025 11:53:07 +0900

René Scharfe <[email-masked]> writes:

>> Slightly off topic, but should another patch that adds a `NO_HOMEBREW`
>> Makefile flag similar to `NO_FINK` or `NO_APPLE_PORTS` be added to help
>> drive this?
>
> Sounds like a it could be useful to someone.

Hmph, how?  When you personally use fink or homebrew or whatever,
but are building binaries for others?

I am looking at relevant parts of Makefile

# Define NO_FINK if you are building on Darwin/Mac OS X, have Fink
# installed in /sw, but don't want GIT to link against any libraries
# installed there.  If defined you may specify your own (or Fink's)
# include directories and library directories by defining CFLAGS
# and LDFLAGS appropriately.
#
# Define NO_DARWIN_PORTS if you are building on Darwin/Mac OS X,
# have DarwinPorts installed in /opt/local, but don't want GIT to
# link against any libraries installed there.  If defined you may
# specify your own (or DarwinPort's) include directories and
# library directories by defining CFLAGS and LDFLAGS appropriately.

and notice that /opt/local/ is mentioned for DarwinPorts.  The patch
that started this thread talks about defaulting ICONVDIR to that of
Homebrew if available, but the new code checks /opt/homebrew and
then /usr/local/ (and let it override it).  Should the log message
be talking about DarwinPorts as well?

    As a workaround, set the default libiconv location to
    /opt/homebrew when the user has one from Homebrew, or
    to /opt/local when the user has one from MacPorts.

or something along the line?

By the way, for macOS newbies (like me), I wonder if a patch like
the attached may help?

Thanks.

----- >8 -----
Subject: [PATCH] Makefile: help macOS novices by mentioning MacPorts

Since Aug 2006, the DarwinPorts project renamed themselves as
MacPorts.  Those who are not intimately familiar with the Opensource
ecosystem around macOS from olden days, the name DarwinPorts may not
ring a bell, even when they are using MacPorts.

Signed-off-by: Junio C Hamano <[email-masked]>
---
 Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git c/Makefile w/Makefile
index 7e0f77e298..be027218a5 100644
--- c/Makefile
+++ w/Makefile
@@ -95,7 +95,8 @@ include shared.mak
 # and LDFLAGS appropriately.
 #
 # Define NO_DARWIN_PORTS if you are building on Darwin/Mac OS X,
-# have DarwinPorts installed in /opt/local, but don't want GIT to
+# have DarwinPorts (which is an old name for MacPorts) installed
+# in /opt/local, but don't want GIT to
 # link against any libraries installed there.  If defined you may
 # specify your own (or DarwinPort's) include directories and
 # library directories by defining CFLAGS and LDFLAGS appropriately.